> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinvoyage.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bank Onramp Deposits

> Paginated deposit history for a reusable bank deposit account.



## OpenAPI

````yaml https://api.coinvoyage.io/v3/openapi.json get /onramp/bank/accounts/{account_id}/deposits
openapi: 3.1.0
info:
  title: CoinVoyage API (v3)
  description: >-
    CoinVoyage v3 payment API. Unified Intent envelope, snake_case money via the
    Amount shape, and a single SHA-256 signature scheme.
  version: 3.0.0
servers:
  - url: https://api.coinvoyage.io/v3
security: []
paths:
  /onramp/bank/accounts/{account_id}/deposits:
    get:
      tags:
        - onramps
      summary: List Bank Onramp Deposits
      description: Paginated deposit history for a reusable bank deposit account.
      operationId: listBankOnrampDeposits
      parameters:
        - description: API key for authentication
          in: header
          name: X-API-KEY
          required: true
          schema:
            type: string
        - in: path
          name: account_id
          required: true
          schema:
            type: string
        - in: query
          name: limit
          schema:
            default: 20
            maximum: 100
            minimum: 1
            type: integer
        - in: query
          name: offset
          schema:
            default: 0
            maximum: 100000
            minimum: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankOnrampDepositListResponse'
          description: Bank onramp deposits with pagination
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Invalid limit or offset
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Onramp account not found
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Onramp provider unavailable
      security:
        - APIKeyHeader: []
components:
  schemas:
    BankOnrampDepositListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/BankOnrampDeposit'
          type: array
        pagination:
          $ref: '#/components/schemas/Pagination'
      type: object
    ErrorResponse:
      example:
        code: 400
        error: Bad Request
        message: Invalid request parameters
      properties:
        error:
          example: Bad Request
          type: string
        message:
          example: Invalid request parameters
          type: string
        code:
          example: 400
          format: int64
          type: integer
        details:
          anyOf:
            - type: string
            - type: number
            - type: object
      required:
        - error
        - message
        - code
      type: object
    BankOnrampDeposit:
      example:
        account_id: onramp_account_123
        created_at: '2026-08-25T18:30:00Z'
        destination:
          currency:
            address: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
            chain_id: 30000000000001
          wallet_address: 9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM
        id: onramp_deposit_123
        settlement:
          destination:
            amount: '99.00'
            currency:
              address: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
              chain_id: 30000000000001
            transaction_hash: 5vJ7i6YwXx1yExampleTransactionHash
            wallet_address: 9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM
          fees:
            developer: '0.50'
            exchange: '0.00'
            gas: '0.50'
          source:
            amount: '100.00'
            currency: usd
        source_currency: usd
        status: COMPLETED
        updated_at: '2026-08-25T18:35:00Z'
      properties:
        id:
          example: onramp_deposit_123
          type: string
        account_id:
          example: onramp_account_123
          type: string
        status:
          $ref: '#/components/schemas/BankOnrampDepositStatus'
        source_currency:
          $ref: '#/components/schemas/FiatCurrency'
          example: usd
        destination:
          $ref: '#/components/schemas/OnrampDestination'
        settlement:
          anyOf:
            - $ref: '#/components/schemas/OnrampSettlement'
            - type: 'null'
        created_at:
          example: '2026-08-25T18:30:00Z'
          format: date-time
          type: string
        updated_at:
          example: '2026-08-25T18:35:00Z'
          format: date-time
          type: string
      required:
        - id
        - account_id
        - status
        - source_currency
        - destination
        - created_at
        - updated_at
      type: object
    Pagination:
      example:
        limit: 20
        offset: 0
        total_count: 42
      properties:
        total_count:
          example: 42
          format: int64
          type: integer
        limit:
          example: 20
          format: int64
          type: integer
        offset:
          example: 0
          format: int64
          type: integer
      required:
        - total_count
        - limit
        - offset
      type: object
    BankOnrampDepositStatus:
      description: Lifecycle of an incoming bank deposit
      enum:
        - PROCESSING
        - COMPLETED
        - FAILED
      type: string
    FiatCurrency:
      description: >-
        Fiat currency used by Bridge bank accounts and durable bank-onramp
        sessions
      enum:
        - usd
        - eur
        - mxn
        - brl
        - gbp
        - cop
      type: string
    OnrampDestination:
      example:
        currency:
          address: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
          chain_id: 30000000000001
        wallet_address: 9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM
      properties:
        currency:
          $ref: '#/components/schemas/CurrencyBase'
        wallet_address:
          example: 9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM
          type: string
      required:
        - currency
        - wallet_address
      type: object
    OnrampSettlement:
      example:
        destination:
          amount: '99.00'
          currency:
            address: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
            chain_id: 30000000000001
          transaction_hash: 5vJ7i6YwXx1yExampleTransactionHash
          wallet_address: 9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM
        fees:
          developer: '0.50'
          exchange: '0.00'
          gas: '0.50'
        source:
          amount: '100.00'
          currency: usd
      properties:
        source:
          $ref: '#/components/schemas/OnrampSettlementAmount'
        destination:
          $ref: '#/components/schemas/OnrampSettlementDestination'
        fees:
          $ref: '#/components/schemas/OnrampSettlementFees'
      required:
        - source
        - destination
        - fees
      type: object
    CurrencyBase:
      example:
        address: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        chain_id: 30000000000001
      properties:
        address:
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
          type:
            - string
            - 'null'
        chain_id:
          $ref: '#/components/schemas/ChainID'
          example: 30000000000001
      required:
        - chain_id
      type: object
    OnrampSettlementAmount:
      example:
        amount: '100.00'
        currency: usd
      properties:
        currency:
          example: usd
          type: string
        amount:
          example: '100.00'
          type: string
      required:
        - currency
        - amount
      type: object
    OnrampSettlementDestination:
      example:
        amount: '99.00'
        currency:
          address: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
          chain_id: 30000000000001
        transaction_hash: 5vJ7i6YwXx1yExampleTransactionHash
        wallet_address: 9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM
      properties:
        currency:
          $ref: '#/components/schemas/CurrencyBase'
        amount:
          example: '99.00'
          type: string
        wallet_address:
          example: 9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM
          type: string
        transaction_hash:
          example: 5vJ7i6YwXx1yExampleTransactionHash
          type: string
      required:
        - currency
        - amount
        - wallet_address
      type: object
    OnrampSettlementFees:
      example:
        developer: '0.50'
        exchange: '0.00'
        gas: '0.50'
      properties:
        exchange:
          example: '0.00'
          type: string
        gas:
          example: '0.50'
          type: string
        developer:
          example: '0.50'
          type: string
      required:
        - exchange
        - gas
        - developer
      type: object
    ChainID:
      enum:
        - 1
        - 10
        - 56
        - 137
        - 4663
        - 8453
        - 42161
        - 20000000000001
        - 30000000000001
        - 30000000000002
      example: 1
      format: int64
      type: integer
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-API-KEY
      type: apiKey

````